
#ifndef GETOPT_H
#define GETOPT_H

int getopt(int argc, char* argv[], char* opt);

// static (global) variables that are specified as exported by getopt()
extern char* optarg; // pointer to the start of the option argument
extern int optind;   // number of the next argv[] to be evaluated
extern int opterr;   // non-zero if a question mark should be returned
                     // when a non-valid option character is detected
#endif
