# makefile for Microsoft nmake
# invoke with "nmake /F epmr-win.mak"

TARGET = epmr-win.exe

CXXFLAGS = /nologo /W3 /Ox /arch:SSE2 /fp:fast /fp:except- /D WIN32 /D NDEBUG /D _CONSOLE /D _CRT_SECURE_NO_WARNINGS /Gm- /GS- /Gd /GL /EHsc /MT /openmp- /Qpar
LINKFLAGS = /INCREMENTAL:NO /OPT:REF
 
all : $(TARGET)

$(TARGET) :
	$(CXX) /Fe$(TARGET) $(CXXFLAGS) main.cpp epmr.cpp getopt.cpp /link $(LINKFLAGS)

cleanobj :
	-del *.obj

clean :
	-del *.obj
	-del $(TARGET)
